aboutsummaryrefslogtreecommitdiff
path: root/v2/src/bin/url-for
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xv2/src/bin/url-for77
1 files changed, 77 insertions, 0 deletions
diff --git a/v2/src/bin/url-for b/v2/src/bin/url-for
new file mode 100755
index 0000000..025a546
--- /dev/null
+++ b/v2/src/bin/url-for
@@ -0,0 +1,77 @@
+#!/bin/sh
+set -eu
+
+
+usage() {
+ cat <<-'EOF'
+ Usage:
+ url-for FILE
+ url-for -h
+ EOF
+}
+
+help() {
+ cat <<-'EOF'
+
+ Options:
+ -h, --help show this message
+
+ FILE the path for the URL to be constructed
+
+
+ Build an URL for the given FILE, without the FQDN part, adding
+ the required BASE_URL.
+
+
+ Examples:
+
+ Get the URL for "static/style.css", when BASE_URL is empty:
+
+ $ url-for 'static/style.css'
+ /static/style.css
+
+
+ Get the URL for "static/favicon.svg", when BASE_URL is "v2":
+
+ $ url-for 'static/favicon.svg'
+ /v2/static/favicon.svg
+ EOF
+}
+
+
+for flag in "$@"; do
+ case "$flag" in
+ --)
+ break
+ ;;
+ --help)
+ usage
+ help
+ exit
+ ;;
+ *)
+ ;;
+ esac
+done
+
+while getopts 'h' flag; do
+ case "$flag" in
+ h)
+ usage
+ help
+ exit
+ ;;
+ *)
+ usage >&2
+ exit 2
+ ;;
+ esac
+done
+shift $((OPTIND - 1))
+
+FILE="${1:-}"
+eval "$(assert-arg "$FILE" 'FILE')"
+
+. src/development/config.env
+
+printf '%s/%s' "$BASE_URL" "$FILE"